PUT Update custom field definition
Update custom field definition (field_type and field_key are immutable, admin permission required)
Update custom field definition (field_type and field_key are immutable, admin permission required)
Authorization
BearerAuth AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
field_id*string
Custom field definition ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/custom-field-definitions/{field_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "Example name", "description": "Example description", "required": true, "options": [ { "label": "Example label", "value": "Example value" } ] }'{ "data": { "id": "{id}", "organization_id": "{organization_id}", "field_key": "string", "label": "string", "field_type": "text", "options": [ "string" ], "is_required": true, "is_active": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}